/* Background color
--------------------------------------------- */
html{
    background-color: var(--wp--preset--color--primary-200);
    font-size: 16px;
}

/* Selection
--------------------------------------------- */
::selection{
    background-color: var(--wp--preset--color--secondary-100);
    color: white;
}

*, html{
    scroll-behavior: smooth !important;
}


/* Mobile reverse classes
--------------------------------------------- */
@media (max-width: 781px){
    .mobile-reverse {
        flex-direction: column-reverse;
    }
}

@media (max-width: 899px){
    .navbar-mobile-reverse {
        flex-direction: row-reverse;
    }
}

@media (max-width: 600px){
    .wp-block-columns.mobile-reverse{
    flex-direction: column-reverse !important;
    }
    
    .wp-block-columns.mobile-reverse .wp-block-column{
    padding-right: 0 !important;
    }
}

/* Scrim - Default gallery lightbox background
--------------------------------------------- */
div.scrim{
    background-color: var(--wp--preset--color--light-200) !important;
}


/* Social icons block hover state
--------------------------------------------- */
.wp-block-social-link{
    opacity: .9;
    transition: opacity .3s ease;
}
.wp-block-social-link:hover{
    opacity: 1;
    transition: opacity .1s ease;
    transform: unset;
}
